Show / Hide Table of Contents

# Class GameVersionConverter

Converts a GameVersion to and from a string (e.g. `"2010.01.01.1234.5678"`).

##### Inheritance

System.Object
GameVersionConverter

###### Namespace: Dalamud.Game

###### Assembly: Dalamud.dll

##### Syntax

    public sealed class GameVersionConverter : JsonConverter

### Methods

| Improve this Doc View Source

#### CanConvert(Type)

Determines whether this instance can convert the specified object type.

##### Declaration

    public override bool CanConvert(Type objectType)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Type | objectType | Type of the object.

##### Returns

Type | Description
--- | ---
System.Boolean | `true` if this instance can convert the specified object type; otherwise, `false`.

| Improve this Doc View Source

#### ReadJson(JsonReader, Type, Object, JsonSerializer)

Reads the JSON representation of the object.

##### Declaration

    public override object ReadJson(JsonReader reader, Type objectType, object existingValue, JsonSerializer serializer)

##### Parameters

Type | Name | Description
--- | --- | ---
JsonReader | reader | The to read from.
System.Type | objectType | Type of the object.
System.Object | existingValue | The existing property value of the JSON that is being converted.
JsonSerializer | serializer | The calling serializer.

##### Returns

Type | Description
--- | ---
System.Object | The object value.

| Improve this Doc View Source

#### WriteJson(JsonWriter, Object, JsonSerializer)

Writes the JSON representation of the object.

##### Declaration

    public override void WriteJson(JsonWriter writer, object value, JsonSerializer serializer)

##### Parameters

Type | Name | Description
--- | --- | ---
JsonWriter | writer | The to write to.
System.Object | value | The value.
JsonSerializer | serializer | The calling serializer.